> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization.md).

# Initialization

The initialization section includes documentation about entrypoints, that should be executed right **after deploy** and **before usage** of this contract.&#x20;

{% hint style="warning" %}
These contract methods are called only by `admin` of that contract.
{% endhint %}

### Admin lambdas

This entrypoint sets [Admin methods](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods.md) lambda-functions to contract storage by function ID and function-packed bytes. &#x20;

{% content-ref url="/pages/ZsNsYr0MxLsxPcaBL0Mr" %}
[set\_admin\_function](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization/set_admin_function.md)
{% endcontent-ref %}

### Developer lambdas

This entrypoint sets [Developer setter entrypoints](/smart-contracts/quipuswap-stable-swap-dex/developer-module/developer-setter-entrypoints.md) lambda-functions to contract storage by function ID and function-packed bytes. &#x20;

{% content-ref url="/pages/aeLKEd14RgHwekgkTCuI" %}
[set\_dev\_function](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization/set_dev_function.md)
{% endcontent-ref %}

### DEX lambdas

This entrypoint sets [DEX methods](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods.md) lambda-functions to contract storage by function ID and function-packed bytes. &#x20;

{% content-ref url="/pages/TAOgDZC5FXc9A0PmYkY1" %}
[set\_dex\_function](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization/set_dex_function.md)
{% endcontent-ref %}

### FA2 standard lambdas

This entrypoint sets FA2 interface lambda-functions to contract storage by function ID and function-packed bytes. &#x20;

{% content-ref url="/pages/7tmKi8Wwuix7wrgNr2zq" %}
[set\_token\_function](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization/set_token_function.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
